# std::owner_less< weak_ptr< _Tp > > Struct Template Reference
[Pointer Abstractions]

Partial specialization of owner_less for weak_ptr. More...

Inherits _Sp_owner_less< weak_ptr< _Tp >, shared_ptr< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::owner_less< weak_ptr< _Tp > >

Partial specialization of owner_less for weak_ptr.

Definition at line 390 of file shared_ptr.h.

The documentation for this struct was generated from the following file:

- shared_ptr.h